import request from '@/utils/request'

// 获取充电机ID
export function getChargeCode() {
  return request({
    url: '/device/getChargeCode',
    method: 'get'
  })
}
// 充电记录列表
export function chargeList(data) {
  return request({
    url: '/charge/list',
    method: 'post',
    data
  })
}
// 充电记录导出
export function chargeExport(data) {
  return request({
    url: '/charge/export',
    method: 'post',
    data
  })
}
// 换电记录列表
export function swapList(data) {
  return request({
    url: '/swap/list',
    method: 'post',
    data
  })
}
// 换电记录导出
export function swapExport(data) {
  return request({
    url: '/swap/export',
    method: 'post',
    data
  })
}
// 告警记录列表
export function alarmList(data) {
  return request({
    url: '/alarm/list',
    method: 'post',
    data
  })
}
// 告警记录导出
export function alarmExport(data) {
  return request({
    url: '/alarm/export',
    method: 'post',
    data
  })
}
// 处理告警
export function alarmDispose(data) {
  return request({
    url: '/alarm/dispose',
    method: 'post',
    data
  })
}

